## Name

gfs_unlink — delete a file

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_unlink(` | gfarm_url`)`; |

`const char * gfarm_url`;

## DESCRIPTION

`gfs_unlink()` deletes the file whose name is the string specified by `gfarm_url`.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

`GFARM_ERR_AUTHENTICATION`

  User authentication failed when connecting to gfmd(8).

`GFARM_ERR_PERMISSION_DENIED`

  `gfarm_url` points outside your accessible address space.

`GFARM_ERR_NO_SUCH_OBJECT`

  `gfarm_url` does not exist.

`GFARM_ERR_NOT_A_DIRECTORY`

  A component of the path prefix is not a directory.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).